This page describes Revolution release 149.
Search these docs, or ask Revo a question — answers link the pages they came from.
Renames and/or recolours a workcell.
PUT
/api/v1/{tenantId}/system/workcells/{workcellId}
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workcellId
required
string
tenantId
required
string
Request Body
Section titled “Request Body ”object
name
string
colour
string
Responses
Section titled “ Responses ”OK
object
id
string
name
string
colour
string
devices
Array<object>
object
deviceInstanceId
string
name
string
Bad Request
object
message
string
code
string
retryable
boolean
field
string
data
Forbidden
object
message
string
code
string
retryable
boolean
field
string
data
Not Found
object
message
string
code
string
retryable
boolean
field
string
data
Conflict
object
message
string
code
string
retryable
boolean
field
string
data
Too Many Requests
object
message
string
code
string
retryable
boolean
field
string
data
Service Unavailable
object
message
string
code
string
retryable
boolean
field
string
data
Gateway Timeout
object
message
string
code
string
retryable
boolean
field
string
data